{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}

<div class="modal fade {{ block('modal_class')??"" }}" tabindex="-1" role="dialog">
    <div class="modal-dialog {{ block('modal_dialog_class')??"" }}" role="document">
        <div class="modal-content">
            <div class="modal-header {{ block('modal_header_class')??"" }}">
                {% block header %}
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">{% block title %}{% endblock %}</h4>
                {% endblock %}
            </div>
            <div class="modal-body {{ block('modal_body_class')??"" }}">
                {% block body %}{% endblock %}
            </div>
            <div class="modal-footer">
                {% block footer %}
                    <button type="button" class="btn {% block btn_cancel_class %}btn-default{% endblock %} pull-left" data-dismiss="modal">
                        {% block btn_cancel_label %}{{ "btn.cancel" | trans }}{% endblock %}
                    </button>
                    <button type="button" class="btn {% block btn_validate_class %}btn-primary{% endblock %}" data-submit>
                        {% block btn_validate_label %}{{ "btn.save" | trans }}{% endblock %}
                    </button>
                {% endblock %}
            </div>
            {% block javascripts %}{% endblock %}
        </div>
    </div>
</div>